com.verisign.epp.codec.nv

## Class EPPDomainNameVerification

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPDomainNameVerification

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPDomainNameVerification
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a Domain Name Verification (DNV) used in `EPPNameVerificationCreateCmd` and the `EPPNameVerificationInfoResp`.
  See Also:
    `EPPNameVerificationCreateCmd`, `EPPNameVerificationInfoResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPDomainNameVerification`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPDomainNameVerification`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDomainNameVerification()` `EPPDomainNameVerification` default constructor.
    `EPPDomainNameVerification(java.lang.String aName)` `EPPDomainNameVerification` constructor that takes the required domain label.
    `EPPDomainNameVerification(java.lang.String aName, java.lang.String aRnvCode)` `EPPDomainNameVerification` constructor that takes the required domain label and the optional Real Name Verification Code Token value for verification of a Restricted Name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPDomainNameVerification`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPDomainNameVerification` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainNameVerification` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainNameVerification` with this instance.
    `java.lang.String` | `getName()` Gets the domain label for verification
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getRnvCode()` Gets the Real Name Verification Code Token value.
    `boolean` | `hasRnvCode()` Has the Real Name Verification Code Token value been set?
    `void` | `setName(java.lang.String aName)` Sets the domain label for verification.
    `void` | `setRnvCode(java.lang.String aRnvCode)` Sets the Real Name Verification Code Token value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPDomainNameVerification`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPDomainNameVerification`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPDomainNameVerification

          public EPPDomainNameVerification()

      `EPPDomainNameVerification` default constructor.

    - #### EPPDomainNameVerification

          public EPPDomainNameVerification(java.lang.String aName)

      `EPPDomainNameVerification` constructor that takes the required domain label.
      Parameters:
        `aName` - Domain label to verify

    - #### EPPDomainNameVerification

          public EPPDomainNameVerification(java.lang.String aName,
                                           java.lang.String aRnvCode)

      `EPPDomainNameVerification` constructor that takes the required domain label and the optional Real Name Verification Code Token value for verification of a Restricted Name.
      Parameters:
        `aName` - Domain label to verify
        `aRnvCode` - OPTIONAL Real Name Verification Code Token value. Set to `null` if undefined.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the domain label for verification
      Returns:
        The domain label for verification

    - #### setName

          public void setName(java.lang.String aName)

      Sets the domain label for verification.
      Parameters:
        `aName` - Domain label for verification

    - #### hasRnvCode

          public boolean hasRnvCode()

      Has the Real Name Verification Code Token value been set?
      Returns:
        `true` if the code has been set; `false` otherwise.

    - #### getRnvCode

          public java.lang.String getRnvCode()

      Gets the Real Name Verification Code Token value.
      Returns:
        Real Name Verification Code Token value if defined; `null` otherwise.

    - #### setRnvCode

          public void setRnvCode(java.lang.String aRnvCode)

      Sets the Real Name Verification Code Token value.
      Parameters:
        `aRnvCode` - Real Name Verification Code Token value. Set to `null` if undefined.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDomainNameVerification` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPDomainNameVerification` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDomainNameVerification` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPDomainNameVerification` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDomainNameVerification` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDomainNameVerification` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDomainNameVerification`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Deep copy clone of `EPPDomainNameVerification`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.